commit 476a1c6e8b42807b897b8c6f8550ec42b2d5c10e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Apr 1 12:42:56 2010 -0400

    radeon: fix possible gpio i2c table overrun
    
    GPIO_I2C_INFO does not always have ATOM_MAX_SUPPORTED_DEVICE
    entries.  Should fix Novell bug 589022.

commit 6baa96c44ca93b88acf5233335cee233e59d5af4
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Apr 1 11:24:32 2010 +1000

    r600/exa: further cleanup, use the object struct in the accel state.
    
    This cleans up the accel state objects as well.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 87f49a24019967552c5478d6af89ba438b4261c8
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Apr 1 10:52:58 2010 +1000

    r600: cleanup wasteful variables.
    
    Just assign directly to the structs.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 478319e55d52fce241d040912fea952071e3b742
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Apr 1 10:45:52 2010 +1000

    r600: reduce function call overhead.
    
    Create a small accel object that can be used to reduce the amount
    of parameters passed to SetAccelState. This can be cleaned up a lot more.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit bc93395b3eb5e3511c1b62af90693269f4fa6e13
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Mar 31 22:30:24 2010 -0400

    r6xx+ EXA: fix swapped domains in kms UTS
    
    Noticed by Dave.
    
    Should fix fdo bug 27284

commit 3a33b1a92c328b690bdc1aafa0011e4326109815
Author: Owain G. Ainsworth <zerooa@googlemail.com>
Date:   Tue Mar 30 17:14:02 2010 +0100

    Add support for MacModel autodetection on OpenBSD.
    
    This allows radeon-equipped macs to work without an xorg.conf on openbsd.
    Patch originally written by Mark Kettenis (kettenis@openbsd.org)

commit c7eeda8c3f3514ba95ebf2893fbe124bf526b3df
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Mar 26 01:38:36 2010 -0400

    radeon: add support eDP connectors with and LCD device tag
    
    should fix fdo bug 27322

commit ff323e11485fa5030ac278c836bf80a535c22249
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Mar 26 01:24:16 2010 -0400

    radeon: fix name string for eDP

commit 53ac06161eb2b8cffb1b88e24a9a21cfd12e5883
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Mar 23 13:34:38 2010 -0400

    r6xx+ EXA/Xv: add a R600SetAccelState function
    
    This moves CS bo checking and alignment checks into
    a central location.  It also cleans up the code.

commit 7a044472dfea7cf05ba4c2b87be30e94e2ae0b62
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Mar 23 01:27:22 2010 -0400

    r6xx+ EXA: always use a temp surface for overlapping copies
    
    The scanline based fallback code was complex and added a lot of
    overhead. It also didn't work with kms.

commit d33bddaedae81126ab7f0023af1c6443bb0b4c4f
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Mar 22 18:15:23 2010 -0400

    r6xx+ EXA: always use the accel_state state in DoPrepareCopy

commit dda3f5a99e7a2dc5d57860f4d07df3498e1e21df
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Mar 22 18:05:36 2010 -0400

    r6xx EXA/Xv: track src/dst domains
    
    Much of the code is shared, so track the src/dst
    domains so we make sure the uses consistent domains
    for each bo.

commit 5c256808cb5fea955eea96ffe9196473715156aa
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Mar 17 23:47:50 2010 -0400

    XAA: disable render accel
    
    It's been reported broken for a while.  Should fix
    fdo bug 27151, others.

commit a0683be5cc082bdbdd3bc4e9b52f39f423650946
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Mar 18 12:36:25 2010 +1000

    radeon: avoid using DRI1 init path on DRI2 driver.
    
    I was playing with multi-seat and found this code, fixed
    it up to be sane and more DRI2 like.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 080a5414593e9b59ed923f26aa6057747b0c868f
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Mar 16 12:33:39 2010 -0400

    kms: fix ums naming compat for DisplayPort

commit 819b4015349b5d8c5ffa5f979097599774fce5bb
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Mar 15 13:47:29 2010 -0400

    dump version for rc release

commit d3482a947e3731be4ed0b00b4e3079470700dc4c
Author: Michael Cree <mcree@orcon.net.nz>
Date:   Fri Mar 12 22:23:31 2010 +1300

    Fix some word accesses in AtomBios to work on all architectures.
    
    The UINT16LE_TO_CPU(), etc., macros are used in the AtomBios code to
    fix up endian issues but they do not address bad alignment or assist
    architectures that cannot perform hardware byte or word accesses.
    This patch inserts use of the ldw_u(), etc., interface of the Xserver
    into certain AtomBios accesses to address alignment issues.
    
    This resolves Debian bug 572311, namely that the driver when compiled
    for generic Alpha architecture (i.e. doesn't use the byte-word extension)
    resulted in no display output on certain Radeon cards.
    
    Signed-off-by: Michael Cree <mcree@orcon.net.nz>

commit 488c9fd8300505cc6c0c2f8f0f00849f27cc5d63
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Mar 15 12:25:57 2010 -0400

    r6xx/r7xx: fix domain handling in accel code
    
    Noticed by Pauli and Michel on IRC.
    
    Improves GetImage performace by a factor of ~10.

commit 2ace2591d92fb6d3ce7a6453edb04b36a6c49a32
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Mar 15 12:03:58 2010 -0400

    radeon: remove some leftover debugging output

commit 67e81c8f17ddde6eba633d2a5aef528e1d598d89
Author: Andrzej Hajda <andrzej.hajda@wp.pl>
Date:   Wed Mar 10 18:19:35 2010 -0500

    radeon: add support for pal on legacy IGP chips
    
    Based on my initial non-working patch.
    
    Fixes some element of fdo bug 12007

commit 3a44f1cb0d2bb748692b1024003de8ee88ca77a5
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Mar 9 09:44:01 2010 -0500

    atom: i2c gpio fixes
    
    Basically a port of my kms patch. This allows us
    to remove some quirks.

commit d85cb40f516c67305e818302bec7ee817df4144c
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Mar 7 14:24:35 2010 -0500

    Don't check for Xinerama.
    
    It doesn't seem to be used anywhere, so don't require it.
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit e7b41f8cb082ed462d29bf3fc440072424cbd852
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Mar 5 19:16:11 2010 -0500

    radeon: disable frac fb div with new pll code
    
    fixes fdo bug 26897

commit 14aff767490c253cbcdd411f812e50b91673119e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Mar 3 13:31:19 2010 -0500

    radeon: add new RS880 pci id

commit e6dc886634b38e4a36af7b5f0b23299d5acd7244
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Mar 2 10:25:15 2010 +1000

    radeon: bump configure.ac

commit 4975658f05c387b39b3e96a292a7683f17645c2c
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 27 16:47:19 2010 +1000

    pciids: hopefully fix HP

commit e76b90b399c3cc0f0998c0209300c46f97505498
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Feb 26 15:01:28 2010 -0500

    rv740: disable dfs workaround for drm 1.32+
    
    rv740 pipe setup was fixed in 2.6.33

commit 2de0af5f5b806f9dbfdb1e9b6a5cf96d9433961d
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 24 22:46:28 2010 -0500

    Use RADEON_ALIGN instead of open coding it.
    
    Also fix some RADEON_ALIGN(x, 63), which would return incorrect results
    for odd x. Though this shouldn't happen, it's still not right. You
    wouldn't ever write (x + 62) & ~62 which is clearly wrong (and what it
    expands to).
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit c7e81d2f3a372e0d5f751dd0c5091aec2b56d936
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 24 22:46:27 2010 -0500

    Use/define RADEON_GPU_PAGE_SIZE instead of sprinkling 4096 everywhere.
    
    Also, define RADEON_BUFFER_ALIGN in terms of it, and replace some
    RADEON_ALIGN(x, RADEON_BUFFER_ALIGN) with RADEON_ALIGN(x,
    RADEON_GPU_PAGE_SIZE) since this is really what was intended.
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit c0a5c9403dff254e1669df606a4193794270aeff
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Feb 26 19:17:28 2010 +1000

    pci: add HP vendor id

commit 3970cc5563900f08ba5236b23f765c926616c345
Author: Cooper Yuan <cooperyuan@gmail.com>
Date:   Fri Feb 26 16:14:12 2010 +0800

    add more triple-head server ID

commit b499eee7506f7478649e0000e9f8fcd00ac9d88d
Author: James Le Cuirot <chewi@aura-online.co.uk>
Date:   Thu Feb 25 21:13:18 2010 -0500

    clean up kms zaphod handling
    
    Taken from James patch on bug 24523
    
    agd5f: adapt to the current code

commit 433c8617341f5768255826435a2b09afba684f02
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Feb 25 21:03:13 2010 -0500

    update ZaphodHeads option
    
    Now that the screen section mapping is fixed,
    Make the option per-instance and allow multiple
    outputs to be specified; e.g., DVI-0 and HDMI-0
    associated with instance 0 and LVDS and VGA-0
    associated with instance 1.

commit f3e20b01c77f02bdf3483ceee27a1f00d240c33d
Author: James Le Cuirot <chewi@aura-online.co.uk>
Date:   Thu Feb 25 19:10:19 2010 -0500

    zaphod: Fix entity instance assignment.
    
    Each screen needs to have a pointer back to its
    device's entity instance, Currently Screen1 is
    pointing to Screen0's instance so when it comes
    to match up the screen sections with the detected
    screens, Screen0 gets chosen in both cases.
    
    See bug 24523

commit 1b7e9a2e50f77819b3aff4e37ba39eaec69ff932
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Feb 23 11:39:55 2010 -0500

    radeon: fixes for zaphodheads option
    
    Needed for systems with more than two outputs.
    Both KMS and non-KMS zaphod work on systems with
    more than two outputs now.

commit bd83e5f1c75b8c00b43846c7225568917fc9a8ce
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Feb 23 19:27:24 2010 +1000

    zaphod: hopefully fix kms + zaphod

commit 0c3468d812e3790ce03d9e76779ae81e7b7b82d5
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Feb 22 17:34:51 2010 -0500

    AVIVO: set frac fb divider pll flag
    
    matches previous behavior

commit 212e152536c4325e6799018891d9aee132681f48
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Feb 22 17:27:24 2010 -0500

    radeon: update new pll algo
    
    - add support for pre-avivo chips
    - add support for fixed post/ref dividers
    - add support for non-fractional fb dividers
    
    By default avivo chips use the new algo and
    pre-avivo chips use the old algo.  Use the
    "NewPLL" option to toggle between them (set to
    TRUE for the new algo, FALSE for the old).

commit e68d3a3890fc81c51f2006b5548da1e8756ad2fd
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Feb 18 14:02:00 2010 -0500

    RS600: add connector quirk
    
    System lists DVI port as HDMI.
    
    fixes fdo bug 26605

commit a3b730eceb522c7ac1ef3dd6f6c7d773118d03f7
Author: Jerome Glisse <jglisse@redhat.com>
Date:   Thu Feb 18 14:13:48 2010 +0100

    r6xx/kms: when reseting BO force default state emission
    
    In KMS world each cs need to fully initialize the 3D engine
    when we were erasing cs in IBDiscard for r6xx we weren't
    forcing reemission of default state. This patch force this
    emission. Fix :
    
    http://bugs.freedesktop.org/show_bug.cgi?id=26603
    http://bugzilla.kernel.org/show_bug.cgi?id=15284

commit 579cdcf9b4e38c791a497b747a055fc0a07d8dd6
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Feb 17 12:22:48 2010 -0500

    radeon: add ZaphodHeads option
    
    Allows users that want to use zaphod mode to select
    which xrandr outputs are assigned to which head.  E.g.,
    
    Option "ZaphodHeads" "LVDS,VGA-0"
    will assign LVDS to the first zaphod driver instance
    and VGA-0 to the second instance.

commit 47136fa347d1756523239746b4c74cd5278a1118
Author: Michel Dänzer <daenzer@vmware.com>
Date:   Mon Feb 15 16:44:39 2010 +0100

    EXA: Fix order of coordinates passed to radeon_pick_best_crtc().
    
    The wrong order prevented tearing avoidance from working with EXA/DRI2.

commit 6e95905f759b844373be62ec513c78153ed00222
Author: Michel Dänzer <daenzer@vmware.com>
Date:   Mon Feb 15 17:02:16 2010 +0100

    Allocate BOs for 'video offscreen surfaces' and 'TV-in' in VRAM.
    
    I think these can only really work in VRAM, though right now there's probably
    nothing to prevent them from getting evicted...

commit 78e7047c5235b09858b66dd3688d39aaa27d7589
Author: Pauli Nieminen <suokkos@gmail.com>
Date:   Mon Feb 15 13:40:37 2010 +0200

    Allocate Xv buffers to GTT.
    
    KMS doesn't have acceleration for upload to vram. memcpy/memmove to VRAM
    directly is very slow (40M/s in benchmark) which causes visible problems
    to video.
    
    Allocating video buffer in GTT will give good performance (350-450M/s)
    for memmove operation. This is nice performance boost for Xv under KMS.
    
    Signed-off-by: Pauli Nieminen <suokkos@gmail.com>

commit 3ec25e59854b6b03ad763bc374d3475a50f562d8
Author: Pauli Nieminen <suokkos@gmail.com>
Date:   Mon Feb 15 13:45:28 2010 +0200

    Use memcpy instead of memove for RADEONSwapCopy.
    
    memcpy has about 25% better performance than memmove when
    destination is GTT (wc caching). Changing memmove to memcpy
    in SwapCopy will reduce CPU time spent moving data between
    host and GPU.
    
    memcpy will specially help Xv when playing high resolution
    videos.
    
    The swap path doesn't support overlapping memory copies either
    so extra safety is not worth the performance hit in commonly
    used code path.
    
    Signed-off-by: Pauli Nieminen <suokkos@gmail.com>
    
    [ Michel Dänzer: Fixed up whitespace ]

commit 221ef11b31756deb7134801730e76c040e841f5c
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Feb 12 14:15:10 2010 -0500

    r6xx/r7xx: implement EXA vline support

commit 8ad4025affe1fb2f417e3a3031d74f83be5df253
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Feb 12 11:34:47 2010 -0500

    radeon: consolidate crtc selector for vline wait
    
    Use the Xv version as it takes into account the area
    covered by the op rather than just picking the largest
    crtc area.

commit 4f9d1714a7382594b834d446bbe502663f6a2778
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Feb 5 12:27:51 2010 -0500

    r500: fix relocs for Xv planar video
    
    fixes fdo bug 26445

commit b7ca1ab11ac0e4e4be5a1e7789ae8633b460a2d4
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Feb 5 13:37:20 2010 +1000

    rs400/rs480: mc idle bit is bit 2 like original radeon
    
    backport from a KMS fix, the rs400/480 mc idle is bit 2 not bit 4.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 97c387e269672b146a95b45fbef5c8c18e473e36
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 29 16:08:17 2010 -0500

    config: remove dead LINUXDOC macro usage
    
    This module does not generate LINUXDOC documentation.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 05fa2dee0c63d56fd523ee1ebab479bcb9f5e89d
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Feb 4 13:13:58 2010 -0500

    evergreen: minor clean up in transmitter setup
    
    both link and encoder must be set for linkb

commit 76eea5e02776f7beeb8f4491a374bd36792eda92
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Feb 4 10:52:14 2010 -0500

    r600: reduce number of cache flushes
    
    We don't need to flush so often. Next step
    would be to move the flushing to the drm and only
    flush after each command buffer rather than each
    draw.

commit 8d63d70f7ebaf9d250f0449d3720ef47516c05df
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Feb 3 15:22:22 2010 -0500

    evergreen: use external clock source for DP PHY
    
    DP CRTC clock always comes from DCPLL.  This frees
    up PPll1/2 for non-DP-mode PHYs and CRTCs

commit ecbc26431914216a8b207e81451282ea07c8b92f
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Feb 3 03:52:07 2010 -0500

    evergreen: blank/unblank DP in dpms calls

commit 710a2fd07235349f084ec40626cc28fbae523d27
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Feb 3 03:00:24 2010 -0500

    evergreen: pll fixes
    
    SetPixelClock needs to be called for DP outputs with a
    valid PLL.

commit 9ab2377ee23c5dc360ba135a77aa6b181a1862e6
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Feb 2 15:15:36 2010 -0500

    evergreen: DP requires coherent mode

commit 634da80056525a48ec17ffb81e2fb59b168bea9e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Feb 2 15:09:57 2010 -0500

    evergreen: fix units on frac_fb_div

commit a887818f491f6c7315c56c4e0d0b702c4c6aa4ac
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Feb 1 11:01:47 2010 -0500

    evergreen: add pci ids

commit cb2772b69480268c059766c4f6b209ce590ede0e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Jan 29 12:59:46 2010 -0500

    evergreen: add atombios crtc/pll functions

commit bd8e04cb7b39f38b6958273582a9b324a9f0759a
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Feb 1 10:07:43 2010 -0500

    evergreen: add atom support for digital outputs
    
    analog is already supported by the existing code.

commit 8ad40d3c32ad5b91725bd37fcade6bed504df421
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Jan 26 15:39:44 2010 -0500

    evergreen: add crtc set base/format support

commit 2c9cf0a07ff9e5a4989861bc2fdfd71d841013a8
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Dec 10 15:29:14 2009 -0500

    evergreen: add lut support

commit 65246545c3dd9bfef73e8a0f200bd5909b89a167
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Jan 26 12:10:02 2010 -0500

    evergreen: add hw cursor support

commit c05cad56b69d239fa2e69905d15f4f08b9db4c55
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Jan 28 01:28:52 2010 -0500

    evergreen: add base asic support

commit ed63e1b1abe8810b5da6b4140892337eef08a9ea
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Jan 29 12:42:33 2010 -0500

    evergreen: add register and utility defines

commit 019260ec4a9f9fbf2ac63a2ca3314aa308471f7e
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Dec 10 14:57:39 2009 -0500

    evergreen: add chip enums

commit e86ae564d8b94d2cc8d3c7cceb452a197ab6387a
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Feb 1 12:03:23 2010 -0500

    atom: update to the latest upstream atombios.h changes

commit 77b13a02c70842a58e0590d0243f0ae016c5a640
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Feb 1 12:16:20 2010 -0500

    r500: fix CS section size missmatch in Xv code

commit 5c11264517d1b9808415d47e9dedc345610f0f86
Author: Dave Airlie <airlied@linux.ie>
Date:   Fri Jan 29 15:10:33 2010 +1000

    radeon: further digital encoder cleanups.
    
    this just cleans up a few more bits of the digital encoder setup.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 872a11fa9efb0b76cef83089ea1bb80792b94930
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Jan 28 01:19:23 2010 -0500

    radeon: clean up dig encoder handling
    
    - switch the var name to dig_encoder
    - quiet coherent messages
    - clean up dig encoder selection
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit c1a73ff51b371ecc6f57a81a33f644344b4e3f70
Author: Dave Airlie <airlied@linux.ie>
Date:   Thu Jan 28 12:58:29 2010 +1000

    radeon: add support for picking the digitial encoder
    
    Testing on a W500 laptop found the LVDS + DisplayPort would conflict
    over the choice of digital encoder, and only one would work.
    
    This patch fixes the DCE3 case where LVTMA requires the second digital
    encoder and lets DP/DVI use the first in most cases.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 95b56275d80dcee48a7927df124602c34cd72235
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Jan 27 15:48:25 2010 -0500

    avivo: add some hotplug detect regs

commit 5a4327f7784361933484895c9af751ccfa242d48
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Jan 26 16:06:00 2010 -0500

    radeon: minor pll updates
    
    add new fixed post divider option

commit cbd642af7c76469d701471daea0c8d167567ccf8
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Jan 26 12:03:45 2010 -0500

    radeon: use mmio bar size rather than hardcoded number for register ops
    
    newer asics have larger mmio bars

commit e5933fd74923a07aa401bdb4ecd8d1d641148440
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Jan 25 13:18:47 2010 -0500

    KMS: fix no accel option
    
    NO_ACCEL wasn't handled correctly with KMS.
    
    fixes fdo bug 26198

commit ba99a82ced1a6101365876723d22bcfec4607537
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jan 25 13:50:13 2010 +1000

    radeon/kms: only enable EXA pixmaps under kms if we support render accel
    
    I've seen RN50s with 64MB of RAM that are slow as molasses, this
    should fix them.
    
    RH bug 556400
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit de40d36264364434541377c7f65f3836dc514fc0
Author: Kusanagi Kouichi <slash@ac.auone-net.jp>
Date:   Fri Jan 22 17:18:51 2010 +0900

    Remove unnecessary checks.
    
    Signed-off-by: Kusanagi Kouichi <slash@ac.auone-net.jp>

commit 30a19b75cc82b8e04c45e6684b84f9a4ccc0505b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 19 14:54:04 2010 -0800

    Fix configure with --disable-dri
    
    AM_CONDITIONAL calls can't be made inside if statements, since
    automake won't know what to do when the if isn't true.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bd011784c0609f1fd03dcb784744c8f5cdef33da
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Jan 19 11:59:38 2010 -0500

    ATOM: Upstream parser updates

commit 95d63e408cc88b6934bec84a0b1ef94dfe8bee7b
Author: Jerome Glisse <jglisse@redhat.com>
Date:   Mon Jan 18 10:46:50 2010 +0100

    r6xx/r7xx: emit relocation for FRAG & TILE buffer
    
    FRAG & TILE buffer are unused but still they need
    to be associated with a valid relocation so that
    userspace can't try to abuse them to overwritte
    GART and then try to write anywhere in system
    memory.

commit bbaf71fb46e3e0acdadcb91e9b1c73396bd9aa8e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:09:27 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3d158716a60d5a113a541ea2f680b81a1be41ad2
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jan 14 11:21:33 2010 +1000

    displayport: fix DDC on DVI->DP convertors.
    
    Seems we have to not do auxch DDC if we aren't talking to a DP
    sink.

commit 6a363f68415d37c302151581f2a86855dba39b67
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Jan 11 15:13:45 2010 -0500

    rv100: fix typo in fix for bug 25992
    
    Noticed by Maarten Maathuis.

commit 7b01e1ee29f681bf1735ecded6445d12beeb52d8
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Jan 11 12:40:06 2010 -0500

    rv100: reject modes >135 Mhz with DVI
    
    Due to heat issues. fixes bug 25992
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 74da9a66a420a40bb5d562f07e97ce6ac2eb010f
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Jan 8 16:51:43 2010 -0500

    radeon/kms: add new strings for eDP and TV

commit 61977f61f516b54d1fd9df34d0f0892fbf5227d7
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Jan 7 02:15:31 2010 -0500

    radeon: fallback to i2c for edid if aux fails
    
    In case of a DP->DVI adapter for example.

commit 958d073869404f60e56dc0cc70b3e7de85904694
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Jan 7 02:12:00 2010 -0500

    radeon: add initial support for eDP (embedded DisplayPort)
    
    Should fix fdo bug 25931

commit 944ae73f7cd5f9a1622b38e06a58565812cb102f
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Jan 7 01:52:35 2010 -0500

    radeon: updated ObjectID.h

commit 48aa5064aff4b9adf768e480df2312d4375e9c40
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Jan 4 11:05:44 2010 -0500

    radeon: fix LVDS power sequence on Mac cards
    
    Noticed by John R. Dunning.  Fix taken from radeonfb.
    
    I'm not sure if this sequence would be useful on any PC
    laptops or not so make it mac specific for now.

commit 36bd69affc996c92c40b7360a7fbaa1a3a46abfd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Dec 16 15:52:18 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9d0f3af7278dc939fd4e6f3ea69d9f488a9fbed7
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Tue Dec 22 08:45:27 2009 -0500

    radeon: add cvt timing if we only have panel w/h
    
    fixes mac laptops without an edid
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 6e1f5553c6d7e3b5d089af2e3d587efe95936855
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Dec 21 17:32:40 2009 -0500

    ATOM: add new power table defs

commit 4b05c47ac657f9a93d76221269761ed64c81f716
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Dec 17 14:30:23 2009 +1000

    radeon: use new libdrm api

commit 1d620800bd79290967fa487decf798e318c45f25
Author: Ingmar Vanhassel <ingmar@exherbo.org>
Date:   Sun Dec 20 21:04:56 2009 +0100

    Replace shave with automake silent-rules
    
    Which are enabled by default in Xorg's util-macros 1.3 if automake-1.11
    is used.
    
    Signed-off-by: Ingmar Vanhassel <ingmar@exherbo.org>

commit 52f6a2ff682ad1f8e26ef1cd7d380493dcd57752
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Dec 16 15:29:53 2009 -0500

    src/Makefile.am: missing 3 header files in tarball
    
    radeon_dummy_bufmgr.h
    radeon_vbo.h
    simple_list.h
    Replace leading spaces with tab for radeon_atomwrapper.h
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3a30210d50b27f8772fc5045133940246764fce9
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Dec 15 10:53:48 2009 -0500

    fix 200M freezes on VT switch if CRTC is disabled
    
    It appears that RS4xx chips need to have the crtc
    enabled when the timing is programmed.
    
    agd5f: minor fixes/cleanup of the original patch

commit 299d395bd3f294239dee58ab7d607d7d2c657f61
Author: Corbin Simpson <MostAwesomeDude@gmail.com>
Date:   Sun Dec 13 14:51:17 2009 -0800

    dri: be more useful if disabling DRI due to KMS/UMS mismatch.
    
    It's only fair.
    
    Compile-tested only.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0e5c9d87b5d7e0751df71cc8958ca5ccaed25104
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Dec 10 14:27:43 2009 -0500

    ATOM: split set base/format into separate functions
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit 46630da5fd6f45bb8ea150b870162997480d69c7
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Dec 9 12:55:25 2009 -0500

    AVIVO: add new PLL code
    
    This should hopefully help the problems with flickering
    and blinking monitors reported on some systems.  If there
    are problems, the old PLL algorithm can be selected with:
    Option "NewPLL" "FALSE"
    in the device section of your X config.
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit f082b1693d6f7f763ccf5a8436a89890ca2c6129
Author: Matthijs Kooijman <matthijs@stdin.nl>
Date:   Thu Dec 3 12:10:14 2009 -0500

    radeon: fix crtc2 dpms
    
    noticed by Matthijs Kooijman on fdo bug 22140

commit 3a96fbf3b84522cf1ba1b176e82b662222331c14
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Wed Dec 2 18:02:33 2009 -0500

    radeon: only read RADEON_PPLL_REF_DIV for ref div on pre-avivo
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit f03450796d2e9247a1228c4e2abb1dfad7aecddf
Author: Kusanagi Kouichi <slash@ac.auone-net.jp>
Date:   Wed Dec 2 01:36:37 2009 -0500

    radeon: Lift hardcoded limit from RADEONQueryImageAttributes
    
    The dimension of an XvImage is limited to 2048 x 2048 even if an adaptor
    supports larger image.
    XvCreateImage and XvShmCreateImage lower the width or height of an image.
    XvPutImage and XvShmPutImage return BadValue.
    The cause is that 2048 is hardcoded in RADEONQueryImageAttributes.

commit efbc2c80ab02879edf3b7b3d65b16c45ddce5017
Merge: 88a50a3... a612813...
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Dec 2 14:30:36 2009 +1000

    Merge remote branch 'origin/displayport'

commit 88a50a30df11a06263209340a42251851f8e2334
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Nov 30 15:32:12 2009 +1000

    r600: fix multi-operation in single batch support.
    
    This ports the mesa DMA buffer handling with the 3 lists,
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit b2597deea3a3953ff50d54ff37e3c043eac409f4
Author: Kusanagi Kouichi <slash@ac.auone-net.jp>
Date:   Mon Nov 30 11:10:50 2009 -0500

    R600: fix some warnings

commit 4d90dc3cb248e9d61c0c490bba80f6727fafd318
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Mon Nov 30 11:05:38 2009 -0500

    atom: pull misc mode info for lvds panel mode from bios tables
    
    sync polarity, etc.  This will likely fix LVDS problems
    on some laptops.
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit a612813c5f329f00a9271e7bb69abd2630a49403
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Fri Nov 27 17:20:30 2009 -0500

    radeon: clean up DP code
    
    Signed-off-by: Alex Deucher <alexdeucher@gmail.com>

commit a8dbf7c23481501987971a9c0b6cb0760f86127f
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Nov 27 10:16:00 2009 +1000

    r600/accel: cleanup and merge a lot of the accel functions
    
    All of the drawing ops were the exact same modulo the vtx size,
    this along with the vertex buffer wrapping code could all be consolidated
    into a smaller set of functions.
    
    This also adds 2 VBO which we switch between, and merges a #define to
    enable the multiple operations in one CS under KMS mode.
    
    Multi-operation still isn't working though.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 971e463b2cfdc1ba1c78a24fb439d33dd9155dfc
Author: Alex Deucher <alexdeucher@gmail.com>
Date:   Thu Nov 26 12:45:15 2009 -0500
